Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZGZIPZLIBCompressionHandler Member List

This is the complete list of members for eZGZIPZLIBCompressionHandler, including all inherited members.

$File | eZGZIPZLIBCompressionHandler |
$FileHandler | eZFileHandler |
$FileName | eZFileHandler |
$Identifier | eZFileHandler |
$IsBinary | eZFileHandler |
$IsOpen | eZFileHandler |
$Level | eZGZIPZLIBCompressionHandler |
$Mode | eZFileHandler |
$Name | eZFileHandler |
__construct() | eZGZIPZLIBCompressionHandler |
eZCompressionHandler::__construct( $handlerIdentifier=false, $handlerName=false) | eZFileHandler |
close() | eZFileHandler |
compress( $source) | eZGZIPZLIBCompressionHandler | virtual
compressionLevel() | eZGZIPZLIBCompressionHandler |
copy( $sourceFilename, $destinationFilename) | eZFileHandler | static
decompress( $source) | eZGZIPZLIBCompressionHandler | virtual
doClose() | eZGZIPZLIBCompressionHandler | virtual
doEOF() | eZGZIPZLIBCompressionHandler | virtual
doExists( $filename) | eZFileHandler | pure virtual static
doFlush() | eZGZIPZLIBCompressionHandler | virtual
doIsDirectory( $filename) | eZFileHandler | pure virtual static
doIsExecutable( $filename) | eZFileHandler | pure virtual static
doIsFile( $filename) | eZFileHandler | pure virtual static
doIsLink( $filename) | eZFileHandler | pure virtual static
doIsReadable( $filename) | eZFileHandler | pure virtual static
doIsWriteable( $filename) | eZFileHandler | pure virtual static
doOpen( $filename, $mode) | eZGZIPZLIBCompressionHandler | virtual
doPasstrough( $closeFile=true) | eZGZIPZLIBCompressionHandler | virtual
doRead( $uncompressedLength=false) | eZGZIPZLIBCompressionHandler | virtual
doRename( $destinationFilename, $sourceFilename) | eZFileHandler | pure virtual static
doRewind() | eZGZIPZLIBCompressionHandler |
doSeek( $offset, $whence) | eZGZIPZLIBCompressionHandler | virtual
doStatistics( $filename) | eZFileHandler | pure virtual static
doTell() | eZGZIPZLIBCompressionHandler | virtual
doUnlink( $filename) | eZFileHandler | pure virtual static
doWrite( $data, $uncompressedLength=false) | eZGZIPZLIBCompressionHandler | virtual
duplicate() | eZFileHandler |
eof() | eZFileHandler |
error() | eZFileHandler |
errorNumber() | eZGZIPZLIBCompressionHandler | virtual
errorString() | eZGZIPZLIBCompressionHandler | virtual
exists( $filename=false) | eZFileHandler |
filename() | eZFileHandler |
flush() | eZFileHandler |
identifier() | eZFileHandler |
instance( $identifier, $filename=false, $mode=false, $binaryFile=true) | eZFileHandler | static
isAvailable() | eZGZIPZLIBCompressionHandler | static
isBinaryMode() | eZFileHandler |
isDirectory( $filename=false) | eZFileHandler |
isExecutable( $filename=false) | eZFileHandler |
isFile( $filename=false) | eZFileHandler |
isLink( $filename=false) | eZFileHandler |
isOpen() | eZFileHandler |
isReadable( $filename=false) | eZFileHandler |
isWriteable( $filename=false) | eZFileHandler |
link( $sourceFilename, $destinationFilename) | eZFileHandler | static
linkCopy( $sourceFilename, $destinationFilename, $symbolicLink=true) | eZFileHandler | static
mode() | eZFileHandler |
move( $sourceFilename, $destinationFilename) | eZFileHandler | static
name() | eZFileHandler |
open( $filename, $mode, $binaryFile=true) | eZFileHandler |
passtrough( $closeFile=true) | eZFileHandler |
read( $length=false) | eZFileHandler |
rename( $destinationFilename, $sourceFilename=false) | eZFileHandler |
rewind() | eZFileHandler |
seek( $offset, $whence=SEEK_SET) | eZFileHandler |
setCompressionLevel( $level) | eZGZIPZLIBCompressionHandler |
statistics( $filename=false) | eZFileHandler |
symlink( $sourceFilename, $destinationFilename) | eZFileHandler | static
tell() | eZFileHandler |
unlink( $filename=false) | eZFileHandler |
write( $data, $length=false) | eZFileHandler |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.